---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    control-plane: controller-manager
  name: drupalsite-operator-controller-manager
spec:
  replicas: {{ .Values.replicas }}
  selector:
    matchLabels:
      control-plane: controller-manager
  template:
    metadata:
      labels:
        control-plane: controller-manager
    spec:
      serviceAccountName: drupalsite-operator
      nodeSelector:
{{ toYaml .Values.nodeSelector | indent 8 }}
      tolerations:
{{ toYaml .Values.tolerations | indent 8 }}
      containers:
      - args:
        - --leader-elect
        - --sitebuilder-image={{.Values.drupalsiteOperator.sitebuilderImage}}
        - --php-fpm-exporter-image={{.Values.drupalsiteOperator.phpFpmExporterImage}}
        - --webdav-image={{.Values.drupalsiteOperator.webdavImage}}
        - --ssoproxy-image={{.Values.drupalsiteOperator.ssoProxyImage}}
        - --zap-stacktrace-level={{.Values.drupalsiteOperator.logStacktraceLevel}}
        - --zap-log-level={{.Values.drupalsiteOperator.logLevel}}
        - --parallel-thread-count={{.Values.drupalsiteOperator.parallelThreadCount}}
        - --enable-topology-spread={{.Values.drupalsiteOperator.enableTopologySpread}}
        - --cluster-name={{.Values.drupalsiteOperator.clusterName}}
        - --easystart-backup-name={{.Values.drupalsiteOperator.easystartBackupName}}
        - --supported-drupal-version-name={{.Values.drupalsiteOperator.supportedDrupalVersionName}}
        - --velero-backup-storage-location={{.Values.drupalsiteOperator.veleroBackupStorageLocation}}
        - --ckeditor-license-key={{.Values.drupalsiteOperator.ckeditorLicenseKey}}
        command:
        - /manager
        image: {{ .Values.image | quote }}
        imagePullPolicy: {{ .Values.imagePullPolicy | quote }}
        livenessProbe:
          httpGet:
            path: /healthz
            port: 8081
          initialDelaySeconds: 15
          periodSeconds: 20
        name: manager
        readinessProbe:
          httpGet:
            path: /readyz
            port: 8081
          initialDelaySeconds: 5
          periodSeconds: 10
        {{- if .Values.resources }}
        resources: {{- toYaml .Values.resources | nindent 12 }}
        {{- end }}
        securityContext:
          allowPrivilegeEscalation: false
        volumeMounts:
        - mountPath: /tmp/runtime-config/qos-critical
          name: qos-critical
        - mountPath: /tmp/runtime-config/qos-standard
          name: qos-standard
        - mountPath: /tmp/runtime-config/qos-test
          name: qos-test
        - mountPath: /tmp/runtime-config/sitebuilder
          name: sitebuilder
      terminationGracePeriodSeconds: 10
      volumes:
      - name: qos-critical
        configMap:
          name: qos-critical
      - name: qos-standard
        configMap:
          name: qos-standard
      - name: qos-test
        configMap:
          name: qos-test
      - name: sitebuilder
        configMap:
          name: sitebuilder
